package com.ruoyi.syzy.mapper;

import java.util.List;
import com.ruoyi.syzy.domain.BBusiMbtiMajor;

/**
 * majorMapper接口
 * 
 * @author voluntary
 * @date 2023-10-25
 */
public interface BBusiMbtiMajorMapper 
{
    /**
     * 查询major
     * 
     * @param id major主键
     * @return major
     */
    public BBusiMbtiMajor selectBBusiMbtiMajorById(Long id);

    /**
     * 查询major列表
     * 
     * @param bBusiMbtiMajor major
     * @return major集合
     */
    public List<BBusiMbtiMajor> selectBBusiMbtiMajorList(BBusiMbtiMajor bBusiMbtiMajor);

    /**
     * 新增major
     * 
     * @param bBusiMbtiMajor major
     * @return 结果
     */
    public int insertBBusiMbtiMajor(BBusiMbtiMajor bBusiMbtiMajor);

    /**
     * 修改major
     * 
     * @param bBusiMbtiMajor major
     * @return 结果
     */
    public int updateBBusiMbtiMajor(BBusiMbtiMajor bBusiMbtiMajor);

    /**
     * 删除major
     * 
     * @param id major主键
     * @return 结果
     */
    public int deleteBBusiMbtiMajorById(Long id);

    /**
     * 批量删除major
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBBusiMbtiMajorByIds(Long[] ids);
}
